/**************************************************************************
	created		:	2012-10-08
	filename	: 	BugDoxygen.h
	author		:	Nicolas GIROD
	copyright	:	Ice Development (2012)
	purpose		:	Demonstrates a bug in doxygen
**************************************************************************/
#ifndef __BUG_DOXYGEN_H__
#define __BUG_DOXYGEN_H__

/*! \brief Demonstrates a bug in doxygen */
class CBugDoxygen
{
public:
	explicit CBugDoxygen(bool Dummy_in);
	//! \brief CBugDoxygen destructor
	virtual ~CBugDoxygen() {}

	/*! \brief Retrieves the dummy flag
		\returns the dummy flag
	*/
	bool GetDummy(void) const { return m_bDummy; }
	/*! \brief Retrieves the dummy flag
		\param[out] bDummy_out : receives the value of the dummy flag
	*/
	void GetDummy(bool &bDummy_out) const { bDummy_out = m_bDummy; }

protected:
	//! dummy flag
	bool m_bDummy;
};

#endif//__BUGDOXYGEN_H__
